Subject: Re: New widget "transpose-segments"
From: Sebastian Gniazdowski <[email-masked]>
To: Bart Schaefer <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Tue, 12 Jan 2016 10:50:30 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On 12 January 2016 at 09:09, Bart Schaefer <[email-masked]> wrote:
> On Jan 9,  6:59pm, Sebastian Gniazdowski wrote:
> }
> } The main difference is working across newlines. Also, the requirement
> } to position cursor at beginning of word to transpose is absent. I
> } think those two are important.
>
> Patches for both of these sent a little while ago.
>
> } Also, setting word style is not needed.
>
> I have no real objection to including either your widget or Daniel's,
> but the number of different ways to do the almost but not quote the
> same thing begins to be overwhelming

In my project Zew I quite track what's going on here and it should
there clarify if transpose-segments and other widgets have real reason
to exist (besides providing functionality for zsh < 5.2-dev-0)

> However, I should note that I would rather that we don't introduce yet
> another term ("segments") to mean "shell words".

Yeah I already renamed "transpose-segments" to "transpose-shell-words" in Zew.

Best regards,
Sebastian Gniazdowski